# hey Emacs, its -*- rpm-spec -*-

%define rpm_masrosdir %_sysconfdir/rpm/macros.d

# for distr selected
%def_with M40
%def_without M41

# for set release
%define release_pre alt
%define release_base_num 1
%define release_suff %nil

# for set distr
%define release_distr_num 1

# set distr
%define distr_switch %nil
%if_with M40
%define distr_switch M40
%endif
%if_with M41
%define distr_switch M41
%endif

%if "%distr_switch" == ""
%define release_num %release_base_num
%define release_distr %nil
%else
%define release_num %(expr %release_base_num - 1)
%define release_distr .%distr_switch.%release_distr_num
%endif

# release_base set
%define release_base %release_pre%release_num%release_distr

# set macros_release
%define macros_release %release_base%release_suff

Name: webserver-common
Version: 1.3
Release: %macros_release

Summary: Common resources for the Web srvers
Summary(ru_RU.KOI8-R):    Web  
License: %asl
Group: System/Servers

Url: http://httpd.apache.org
Packager: Aleksey Avdeev <solo@altlinux.ru>


Source1: altlinux.png
# rpm macro definitions
Source2: webserver-rpm-macros.spec.inc

# include webserver-rpm-macros.spec.inc
%include %SOURCE2

BuildPreReq: rpm-build-licenses

%if "%distr_switch" == ""
Provides: %webserver_datadir/
Provides: %webserver_htdocsdir/
Provides: %webserver_htdocsaddondir/
Provides: %webserver_manualaddonsdir/
Provides: %webserver_cgibindir/
Provides: %webserver_iconsdir/
Provides: %webserver_iconssmalldir/
Provides: %webserver_vhostdir/
%endif
Provides: %webserver_webappsdir/

%if "%distr_switch" == ""
Conflicts: apache-common < 1.3.41rusPL30.23-alt4.1
Conflicts: apache-cgi-bin < 1.3.41rusPL30.23-alt4.1
Conflicts: apache-html < 1.3.41rusPL30.23-alt4.1
Conflicts: apache-icons < 1.3.41rusPL30.23-alt4.1
Conflicts: apache2-cgi-bin < 2.2.8-alt2.1
Conflicts: apache2-html < 2.2.9-alt5
Conflicts: apache2-icons < 2.2.8-alt2.1
Conflicts: apache2-manual-addons < 2.2.9-alt5
Conflicts: vhosts-filesystem < 0.2-alt1.2
%endif

BuildArch: noarch

%description
The package is the resources necessary for Web servers.

%description -l ru_RU.KOI8-R
    ,   Web .


%package -n rpm-macros-%name
Summary: RPM macros to rebuild Web servers and apps packages
Summary(ru_RU.KOI8-R): RPM     -  
Group: Development/Other

Conflicts: %name < 1.0

%description -n rpm-macros-%name
The package provide a set of macros for packaging Web applications
according to the ALT Linux Web Packaging Policy.

%description -n rpm-macros-%name -l ru_RU.KOI8-R
        
   ALT Linux Web Packaging Policy.


%package -n rpm-build-%name
Summary: RPM helper to rebuild Web servers and apps packages
Summary(ru_RU.KOI8-R):     Web   
Group: Development/Other

Conflicts: %name < 1.0
Requires: rpm-macros-%name >= %version

%description -n rpm-build-%name
These helper provide possibility to rebuild Web servers and applications
packages by some ALT Linux Web Packaging Policy.

%description -n rpm-build-%name -l ru_RU.KOI8-R
         
   ALT Linux Web Packaging Policy.


%prep
%setup -cTn %name-%version

%build
sed -e 's/^%%define[[:space:]]\+/%%/' %SOURCE2 > webserver.rpm-macros

%install

%if "%distr_switch" == ""
install -d -m755 %buildroot%webserver_htdocsdir/
install -d -m755 %buildroot%webserver_htdocsaddondir/
install -d -m755 %buildroot%webserver_manualaddonsdir/
install -d -m755 %buildroot%webserver_cgibindir/
install -d -m755 %buildroot%webserver_iconsdir/
install -d -m755 %buildroot%webserver_iconssmalldir/
install -d -m755 %buildroot%webserver_vhostdir/
%endif
install -d -m755 %buildroot%webserver_webappsdir/

%if "%distr_switch" == ""
install -pD -m644 %SOURCE1 %buildroot%webserver_iconsdir/
%endif

install -pD -m644 webserver.rpm-macros \
	%buildroot%_sysconfdir/rpm/macros.d/%name

mkdir -p %buildroot%_rpmlibdir
cat <<\EOF >%buildroot%_rpmlibdir/%name-files.req.list
# %name dirlist for %_rpmlibdir/files.req
%if "%distr_switch" == ""
%webserver_datadir/	%name
%webserver_htdocsdir/	%name
%webserver_htdocsaddondir/	%name
%webserver_manualaddonsdir/	%name
%webserver_cgibindir/	%name
%webserver_iconsdir/	%name
%webserver_iconssmalldir/	%name
%webserver_vhostdir/	%name
%endif
%webserver_webappsdir/	%name
EOF

# SCRIPTS

%pre
%_sbindir/groupadd -r -f %webserver_group 2>/dev/null ||:
%_sbindir/groupadd -r -f %webserver_webmaster 2>/dev/null ||:

%files -n rpm-macros-%name
%_sysconfdir/rpm/macros.d/%name

%files -n rpm-build-%name
%_rpmlibdir/%name-files.req.list

%files
%if "%distr_switch" == ""
%attr(-,root,%webserver_webmaster) %dir %webserver_datadir/
%attr(2775,root,%webserver_webmaster) %dir %webserver_htdocsdir/
%attr(2771,root,%webserver_webmaster) %dir %webserver_htdocsaddondir/
%attr(2771,root,%webserver_webmaster) %dir %webserver_cgibindir/
%attr(2775,root,%webserver_webmaster) %dir %webserver_iconsdir/
%attr(2775,root,%webserver_webmaster) %dir %webserver_iconssmalldir/
%attr(2771,root,%webserver_webmaster) %dir %webserver_vhostdir/
%endif
%attr(2771,root,%webserver_webmaster) %dir %webserver_webappsdir/
%if "%distr_switch" == ""
%defattr(644,root,%webserver_webmaster,2775)
%webserver_iconsdir/altlinux.png
%endif

%changelog
* Mon Sep 08 2008 Aleksey Avdeev <solo@altlinux.ru> 1.3-alt0.M40.1
- Backports to 4.0

* Tue Aug 05 2008 Aleksey Avdeev <solo@altlinux.ru> 1.3-alt1
- Fix %%webserver_manualaddosndir macros name (%%webserver_manualaddosndir
  obsoleted)

* Tue Aug 05 2008 Aleksey Avdeev <solo@altlinux.ru> 1.2-alt1
- Add %%webserver_manualaddosndir dir

* Sun Jul 13 2008 Aleksey Avdeev <solo@altlinux.ru> 1.1-alt1
- Add build subpackage for ALT Linux RPM Packaging Policy:
  + rpm-macros-%%name
  + rpm-build-%%name
- Rename macro %%webserver_webapps to %%webserver_webappsdir

* Thu Jul 10 2008 Aleksey Avdeev <solo@altlinux.ru> 0.2-alt4
- Add dir provides 

* Tue Jul 01 2008 Aleksey Avdeev <solo@altlinux.ru> 0.2-alt3
- Use rpm-build-licenses

* Mon Jun 30 2008 Aleksey Avdeev <solo@altlinux.ru> 0.2-alt2
- Add new conflicts

* Tue Jun 10 2008 Aleksey Avdeev <solo@altlinux.ru> 0.2-alt1
- Add %%webserver_webapps dir (see
  http://freesource.info/wiki/AltLinux/Policy/Drafts/webpolicy)
- Conflicts update

* Mon May 14 2007 Aleksey Avdeev <solo@altlinux.ru> 0.1-alt1
- First build for ALT Linux
